Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.push.impl
Class SessionManagerImpl

    java.lang.Object
      org.richfaces.application.push.impl.SessionManagerImpl

All Implemented Interfaces:
  org.richfaces.application.push.SessionManager

    public class SessionManagerImpl

extends java.lang.Object
implements org.richfaces.application.push.SessionManager

Author:
  Nick Belaevski

Constructor Summary
`SessionManagerImpl(java.util.concurrent.ThreadFactory threadFactory)`

Method Summary
`void` | `destroy()`
`org.richfaces.application.push.Session` | `getPushSession(java.lang.String id)`
`void` | `putPushSession(org.richfaces.application.push.Session session)`
`void` | `requeue(org.richfaces.application.push.Session session)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionManagerImpl

    public SessionManagerImpl(java.util.concurrent.ThreadFactory threadFactory)

Method Detail

### getPushSession

    public org.richfaces.application.push.Session getPushSession(java.lang.String id)

  Specified by:
    `getPushSession` in interface `org.richfaces.application.push.SessionManager`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.richfaces.application.push.SessionManager`

### putPushSession

    public void putPushSession(org.richfaces.application.push.Session session)
                        throws java.lang.IllegalStateException

  Specified by:
    `putPushSession` in interface `org.richfaces.application.push.SessionManager`
  Throws:
    `java.lang.IllegalStateException`

### requeue

    public void requeue(org.richfaces.application.push.Session session)

  Specified by:
    `requeue` in interface `org.richfaces.application.push.SessionManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.